For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all registrations for a stocktaking item

Get all registrations for a stocktaking item

Required permissions: STOCKTAKING

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}/registrations
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
stocktakingUidstringRequired

Reference to a Stocktaking.

Pattern: ^[A-Za-z0-9-_]+
stocktakingItemUidstringRequired

Reference to a Stocktaking item id.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}/registrations
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}/registrations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "stocktakingRegistrationUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "quantity": 1,
      "serialnumber": "text",
      "note": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?